Bug 189127 - devel/thrift-cpp fails with "Malformed conditional" errors when QT4 is defined
devel/thrift-cpp fails with "Malformed conditional" errors when QT4 is defined
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-30 06:30 UTC by jrh29
Modified: 2014-08-19 09:33 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrh29 2014-04-30 06:30:00 UTC
When OPTIONS_SET+=QT4 is set in /etc/make.conf, devel/thrift-cpp fails with the following error messages:


make: "/usr/ports/Mk/bsd.qt.mk" line 472: Malformed conditional (${_QT_VERSION:M4*})
make: "/usr/ports/Mk/bsd.qt.mk" line 479: Malformed conditional (${_QT_VERSION:M4*})
make: "/usr/ports/Mk/bsd.qt.mk" line 479: Malformed conditional (${_QT_VERSION:M4*})
make: "/usr/ports/Mk/bsd.qt.mk" line 479: Malformed conditional (${_QT_VERSION:M4*})
make: "/usr/ports/Mk/bsd.qt.mk" line 479: Malformed conditional (${_QT_VERSION:M4*})
make: "/usr/ports/Mk/bsd.qt.mk" line 479: Malformed conditional (${_QT_VERSION:M4*})
make: "/usr/ports/Mk/bsd.qt.mk" line 479: Malformed conditional (${_QT_VERSION:M4*})
make: Fatal errors encountered -- cannot continue

How-To-Repeat: Enable the QT4 option for devel/thrift-cpp (or globally).  Run 'make all-depends-list' in devel/thrift-cpp
Comment 1 Mark Linimon freebsd_committer 2014-04-30 08:09:17 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2014-04-30 08:09:35 UTC
Maintainer of devel/thrift-cpp,

Please note that PR ports/189127 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189127

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-30 08:09:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Raphael Kubo da Costa freebsd_committer 2014-06-20 15:46:51 UTC
CC maintainer again after the Bugzilla conversion.
Comment 5 John Marino freebsd_committer 2014-08-07 15:31:16 UTC
Max, since this is bsd.qt4.mk, I'm going to assign to you.

I don't know if what the submitter did is legal.
I'm tempted to reset the maintainer (komarov) of devel/thrift-cpp for twice not responding at all to this PR.
Comment 6 commit-hook freebsd_committer 2014-08-11 06:46:39 UTC
A commit references this bug:

Author: makc
Date: Mon Aug 11 06:45:43 UTC 2014
New revision: 364589
URL: http://svnweb.freebsd.org/changeset/ports/364589

Log:
  devel/thrift-cpp:
  - Unbreak Makefile when building with QT4 support. USE_QT4 cannot be set
    after bsd.port.pre.mk and requires inclusion of bsd.port.options.mk
    (when used with options). However converting to options helpers saves
    us from additional include.
  - Replace spaces with tab while here

  PR:		189127
  Reported by:	jrh29@alumni.cwru.edu
  Approved by:	maintainer timeout (3 months from the date of report, I didn't
  		wait approval for my patch)
  MFH:		2014Q3

Changes:
  head/devel/thrift-cpp/Makefile
Comment 7 Max Brazhnikov freebsd_committer 2014-08-11 06:48:49 UTC
Fixed, thanks for report!
Comment 8 commit-hook freebsd_committer 2014-08-19 09:33:13 UTC
A commit references this bug:

Author: makc
Date: Tue Aug 19 09:33:05 UTC 2014
New revision: 365368
URL: http://svnweb.freebsd.org/changeset/ports/365368

Log:
  MFH: r364589

  devel/thrift-cpp:
  - Unbreak Makefile when building with QT4 support. USE_QT4 cannot be set
    after bsd.port.pre.mk and requires inclusion of bsd.port.options.mk
    (when used with options). However converting to options helpers saves
    us from additional include.
  - Replace spaces with tab while here

  PR:		189127
  Reported by:	jrh29@alumni.cwru.edu
  Approved by:	maintainer timeout (3 months from the date of report, I didn't
  		wait approval for my patch)
  Approved by:	portmgr (erwin)

Changes:
_U  branches/2014Q3/
  branches/2014Q3/devel/thrift-cpp/Makefile